### Method

# Camel Folder get_quota_info_sync

since: 3.2

#### Declaration [src]

    CamelFolderQuotaInfo*
    camel_folder_get_quota_info_sync (
      CamelFolder* folder,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Gets a list of known quotas for `folder`. Free the returned `CamelFolderQuotaInfo` struct with camel_folder_quota_info_free().

If quotas are not supported for `folder`, the function returns `NULL` and sets `error` to #G_IO_ERROR_NOT_SUPPORTED.

Available since: 3.2

#### Parameters

`cancellable`

  Type: `GCancellable`

  Optional `GCancellable` object, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `CamelFolderQuotaInfo`

A `CamelFolderQuotaInfo`, or `NULL` on error.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.